SideNav MDB Pro component

Bootstrap sidenav

Bootstrap's sidenav is a vertical navigation component which apart from traditional, text links, might embed icons, dropdowns, avatars or search forms.

By virtue of its clarity and simplicity it remarkably increases the User Experience. It allows you to navigate through small applications as well as vast portals swiftly. Its multiple link embedding functionality enables you to implement more advanced content categorisation, which is almost essential within bigger projects.

Thanks to MDB you can easily implement SideNav in your own projects, by using one of various, alluring Side Menus.

This documentation may contain syntax introduced in the MDB 4.19.0 and can be incompatible with previous versions. For old SideNav documentation please follow the link.

Navigation on the left is a live demo of SideNav.


Mobile version:


SideNav examples

Links to images in our mdb server

Usage of classes sn-bg-1, sn-bg-2, sn-bg-3, sn-bg-4, sn-bg-5 links to photos from our mdb server.

Click on the images below to see live preview


Basic usage

Initialization required

To make sure that SideNav works properly you have to initialize it first with the code below:

Initialization code and HTML structure:

Place the JavaScript code below <script type="text/javascript" src="js/mdb.min.js"></script> in the scripts section of your project.

        
            

        $(document).ready(function() {
          // SideNav Button Initialization
         
          $(".button-collapse").sideNav2();
          // SideNav Scrollbar Initialization
          
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        });

      
        
    
        
            

        <!-- SideNav slide-out button -->
        <a href="#" data-activates="slide-out" class="btn btn-primary p-3 button-collapse"><i
            class="fas fa-bars"></i></a>

        <!-- Sidebar navigation -->
        <div id="slide-out" class="side-nav2 side">
          <ul class="custom-scrollbar">
            <!-- Logo -->
            <li>
              <div class="logo-wrapper waves-light">
                <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                    class="img-fluid flex-center"></a>
              </div>
            </li>
            <!--/. Logo -->
            <!--Social-->
            <li>
              <ul class="social">
                <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
              </ul>
            </li>
            <!--/Social-->
            <!--Search Form-->
            <li>
              <form class="search-form" role="search">
                <div class="form-group md-form mt-0 pt-1 waves-light">
                  <input type="text" class="form-control" placeholder="Search">
                </div>
              </form>
            </li>
            <!--/.Search Form-->
            <!-- Side navigation links -->
            <li>
              <ul class="collapsible collapsible-accordion">
                <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                    blog<i class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">Submit listing</a>
                      </li>
                      <li><a href="#" class="waves-effect">Registration form</a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-hand-pointer"></i>
                    Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">For bloggers</a>
                      </li>
                      <li><a href="#" class="waves-effect">For authors</a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-eye"></i> About<i
                      class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">Introduction</a>
                      </li>
                      <li><a href="#" class="waves-effect">Monthly meetings</a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-envelope"></i> Contact me<i
                      class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                    </ul>
                  </div>
                </li>
              </ul>
            </li>
            <!--/. Side navigation links -->
          </ul>
          <div class="sidenav-bg rgba-blue-strong"></div>
        </div>
        <!--/. Sidebar navigation -->

      
        
    

Slide out button

The slide out button is a trigger that launches a SideNav when it's hidden. You can place it wherever you want you just need to add the .button-collapse class and data-activates="slide-out" attribute to the chosen element.


Options

        
            
        $(document).ready(function() {
          // SideNav Default Options
         
          $('.button-collapse').sideNav({
            edge: 'left', // Choose the horizontal origin
            closeOnClick: false, // Closes side-nav on &lt;a&gt; clicks, useful for Angular/Meteor
            breakpoint: 1440, // Breakpoint for button collapse
            menuWidth: 240, // Width for sidenav
            timeDurationOpen: 500, // Time duration open menu
            timeDurationClose: 500, // Time duration open menu
            timeDurationOverlayOpen: 200, // Time duration open overlay
            timeDurationOverlayClose: 200, // Time duration close overlay
            easingOpen: 'easeInOutQuad', // Open animation
            easingClose: 'easeInOutQuad', // Close animation
            showOverlay: true, // Display overflay
            showCloseButton: false // Append close button into siednav
            slim: false, // turn on slime mode
            onOpen: null, // callback function
            onClose: null, // callback function
            mode: over // change sidenav mode
          });
        });
      
        
    

jQuery Methods

        
            
        $(document).ready(function() {
          
          // Show sideNav
          $('.button-collapse').sideNav2('show');
         
          // Hide sideNav
          $('.button-collapse').sideNav2('hide');
        });

      
        
    

Customization


Changing the mask

You can use more than 50 rgba colors from our Material Palette just by adding a proper color class.

In the example below we've added a .rgba-blue-strong color class

        
            
        <div class="sidenav-bg rgba-blue-strong"></div>
      
        
    

Changing the color

You can use each of 300 colors from our Material Palette just by adding a proper color class.

In the example below we've added a .purple color class and .darken-4 to make the color 4 levels darker.

        
            
        <!-- SideNav Menu -->
        <ul id="slide-out" class="side-nav fixed purple darken-4 custom-scrollbar">
      
        
    

Light /dark background

Depending on whether a light or dark background is used, you may need to set a proper contrast for links and other SideNav's elements.

You may use .side-nav-light for light backgrounds.

        
            

        <ul id="slide-out" class="side-nav side-nav-light">

      
        
    

Gradient / images / masks

For gradients, images or masks use our predefined Skins


Slim side-nav

        
            

        <!-- SideNav slide-out button -->
        <a href="#" data-activates="slide-out" class="btn btn-primary p-3 button-collapse"><i
          class="fas fa-bars"></i></a>

        <!-- Sidebar navigation -->
          <div id="slide-out" class="side-nav side wide sn-bg-1">
            <ul class="custom-scrollbar">
              <!-- Logo -->
              <li>
                <div class="logo-wrapper sn-ad-avatar-wrapper">
                  <a href="#"><img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" class="rounded-circle"><span>Anna Deynah</span></a>
                </div>
              </li>
              <!--/. Logo -->
              <!-- Side navigation links -->
              <li>
                <ul class="collapsible collapsible-accordion">
                  <li><a class="collapsible-header waves-effect arrow-r active"><i class="sv-slim-icon fas fa-chevron-right"></i> Submit blog<i class="fas fa-angle-down rotate-icon"></i></a>
                    <div class="collapsible-body">
                      <ul>
                        <li><a href="#" class="waves-effect active">
                          <span class="sv-slim"> SL </span>
                          <span class="sv-normal">Submit listing</span></a>
                        </li>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> RF </span>
                          <span class="sv-normal">Registration form</span></a>
                        </li>
                      </ul>
                    </div>
                  </li>
                  <li><a class="collapsible-header waves-effect arrow-r"><i class="sv-slim-icon far fa-hand-point-right"></i> Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                    <div class="collapsible-body">
                      <ul>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> FB </span>
                          <span class="sv-normal">For bloggers</span></a>
                        </li>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> FA </span>
                          <span class="sv-normal">For authors</span></a>
                        </li>
                      </ul>
                    </div>
                  </li>
                  <li><a class="collapsible-header waves-effect arrow-r"><i class="sv-slim-icon fas fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                    <div class="collapsible-body">
                      <ul>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> I </span>
                          <span class="sv-normal">Introduction</span></a>
                        </li>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> MM </span>
                          <span class="sv-normal">Monthly meetings</span></a>
                        </li>
                      </ul>
                    </div>
                  </li>
                  <li><a class="collapsible-header waves-effect arrow-r"><i class="sv-slim-icon far fa-envelope"></i> Contact me<i class="fas fa-angle-down rotate-icon"></i></a>
                    <div class="collapsible-body">
                      <ul>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> F </span>
                          <span class="sv-normal">FAQ</span></a>
                        </li>
                        <li><a href="#" class="waves-effect">
                          <span class="sv-slim"> W </span>
                          <span class="sv-normal">Write a message</span></a>
                        </li>
                      </ul>
                    </div>
                  </li>
                  <li><a id="toggle" class="waves-effect"><i class="sv-slim-icon fas fa-angle-double-left"></i>Minimize menu</a>
                  </li>
                </ul>
              </li>
              <!--/. Side navigation links -->
            </ul>
            <div class="sidenav-bg rgba-blue-strong"></div>
          </div>

      
        
    
        
            

        $(document).ready(function() {
          
          // SideNav Button Initialization
          $(".button-collapse").sideNav2({
            slim: true
          });
          
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })

      
        
    

Sidenav with simple items

        
            

        <!-- SideNav slide-out button -->
        <a href="#" data-activates="slide-out" class="btn btn-dark p-3 button-collapse"><i
          class="fas fa-bars"></i></a>

          <!-- SideNav slide-out button -->
          <a href="#" data-activates="slide-out" class="btn btn-dark p-3 button-collapse"><i
            class="fas fa-bars"></i></a>

          <!-- Sidebar navigation -->
          <div id="slide-out" class="side-nav2 side special-color-dark">
            <ul class="custom-scrollbar">
              <!-- Logo -->
              <li>
                <div class="logo-wrapper waves-light">
                  <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                      class="img-fluid flex-center"></a>
                </div>
              </li>
              <!--/. Logo -->
              <!--Social-->
              <li>
                <ul class="social">
                  <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                  <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                  <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                  <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                </ul>
              </li>
              <!--/Social-->
              <!--Search Form-->
              <li>
                <form class="search-form" role="search">
                  <div class="form-group md-form mt-0 pt-1 waves-light">
                    <input type="text" class="form-control" placeholder="Search">
                  </div>
                </form>
              </li>
              <!--/.Search Form-->
              <!-- Side navigation links -->
              <li>
                <ul class="collapsible collapsible-accordion">
                  <li><a class="collapsible-header waves-effect"><i class="fas fa-chevron-right"></i> Submit
                      blog</a>
                  </li>
                  <li><a class="collapsible-header waves-effect"><i class="far fa-hand-pointer"></i>
                      Instruction</a>
                  </li>
                  <li><a class="collapsible-header waves-effect"><i class="fas fa-eye"></i> About</a>
                  </li>
                  <li><a class="collapsible-header waves-effect"><i class="far fa-envelope"></i> Contact me</a>
                  </li>
                </ul>
              </li>
              <!--/. Side navigation links -->
            </ul>
            <div class="sidenav-bg"></div>
          </div>
          <!--/. Sidebar navigation -->

      
        
    
        
            

        $(document).ready(function() {
          
          // SideNav Button Initialization
          $(".button-collapse").sideNav2();
          
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        });

      
        
    

Sidenav with open item by default

        
            

        <body>
          <div class="bg">
            <!-- SideNav slide-out button -->
            <a href="#" data-activates="slide-out" class="btn btn-dark p-3 button-collapse"><i
            class="fas fa-bars"></i></a>
          </div>
        
        
        <!-- Sidebar navigation -->
        <div id="slide-out" class="side-nav2 side stylish-color">
          <ul class="custom-scrollbar">
            <!-- Logo -->
            <li>
              <div class="logo-wrapper waves-light">
                <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                    class="img-fluid flex-center"></a>
              </div>
            </li>
            <!--/. Logo -->
            <!--Social-->
            <li>
              <ul class="social">
                <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
              </ul>
            </li>
            <!--/Social-->
            <!--Search Form-->
            <li>
              <form class="search-form" role="search">
                <div class="form-group md-form mt-0 pt-1 waves-light">
                  <input type="text" class="form-control" placeholder="Search">
                </div>
              </form>
            </li>
            <!--/.Search Form-->
            <!-- Side navigation links -->
            <li>
              <ul class="collapsible collapsible-accordion">
                <li><a class="collapsible-header waves-effect arrow-r active"><i class="fas fa-chevron-right"></i> Submit
                    blog<i class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">Submit listing</a>
                      </li>
                      <li><a href="#" class="waves-effect">Registration form</a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-hand-pointer"></i>
                    Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">For bloggers</a>
                      </li>
                      <li><a href="#" class="waves-effect">For authors</a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-eye"></i> About<i
                      class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">Introduction</a>
                      </li>
                      <li><a href="#" class="waves-effect">Monthly meetings</a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-envelope"></i> Contact me<i
                      class="fas fa-angle-down rotate-icon"></i></a>
                  <div class="collapsible-body">
                    <ul>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                      <li><a href="#" class="waves-effect">FAQ</a>
                      </li>
                      <li><a href="#" class="waves-effect">Write a message</a>
                      </li>
                    </ul>
                  </div>
                </li>
              </ul>
            </li>
            <!--/. Side navigation links -->
          </ul>
          <div class="sidenav-bg"></div>
        </div>
        <!--/. Sidebar navigation -->
        </body>
        


      
        
    
        
            

        $(document).ready(() => {
          
          // SideNav Button Initialization
          $(".button-collapse").sideNav2();
          
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        });

      
        
    
        
            

        body, html {
          height: 100%;
        }
        .bg {
          /* The image used */
          background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(20).webp");
        
          /* Full height */
          height: 100%;
        
          /* Center and scale the image nicely */
          background-position: center;
          background-repeat: no-repeat;
          background-size: cover;
        }

      
        
    

Layouts & Skins

MDB provides you with multiple useful, ready-to-use page layouts with various predefined navigation types.

Navigation layouts

Read more

Skins

Read more

Vue Bootstrap Sidenav 2 MDB Pro component

Vue Sidenav 2 - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

The mdbSideNav2 component is the new take on the side navigation - it's more flexible and simpler to use than its previous version. In the following steps, you'll learn how to use it for creating responsive layouts, rendering data from API and displaying entirely custom content.

This documentation may contain syntax introduced in the MDB Vue 6.7.0 and can be incompatible with previous versions. For old side nav documentation please follow the link.


Positioning

There are three ways of positioning your side navigation:

  • side - default version, it shrinks the remaining area
  • over - opens over the page's content
  • push - pushes the content of its way by adding negative margins to the content's wrapper

You can combine those styles easily by changing the value of properties, for example, depending on the user's screen width.

By default all of this options can be toggled by user - f.e. by pressing the esc key. You can always change that behavior by replacing v-model directive with a value property.


Creating responsive layouts

The side and push versions requires adding additional offsets to some elements on your webpage - typically nav, main and footer. There are two ways of controlling it - the first, simpler one, is to wrap the sidenav around you app and place nav, main and footer elements inside the dedicated slots:

        
            
          <template>
            <mdb-side-nav-2>
              <nav slot="nav">
                <!-- Your navigation here -->
              </nav>
              <main slot="main">
                <!-- Your main content (router, f.e) here -->
              </main>
              <footer slot="footer">
                <!-- Your footer here -->
              </footer>
            </mdb-side-nav-2>
          </template>
          
        
    

This way the component takes care of adding those offsets when neccessary. Sometimes you need to customize the default behaviour or structure your app diferentely. In this case, you can use @setOffset event emitted by the component every time the side navigation is being toggled or enters slim mode.

        
            
          <template>
            <mdb-side-nav-2 :data="..." @setOffset="setOffset" />
          </template>
          
        
    

The event's payload is the number of pixels which is needed for the sidenav to fit beside the page's content


Side View demo

The default position - recommended especially for larger screens. The content can get a little squized on smaller screens, so in the example below we've used the mdb-resize directive to change the position to push on smaller devices:

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div v-mdb-resize:start="checkWidth">
              <mdb-side-nav-2 v-model="show" :data="navigation" color="white" :over="over"
                :sidenav-class="['grey', 'darken-3']">
                <div slot="header" class="mt-5">
                  <div class="p-5">
                    <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                  </div>
                  <hr />
                  <ul class="list-unstyled d-flex justify-content-center">
                    <li>
                      <a href="#" class="px-3 icons-sm fb-ic">
                            <mdb-icon color="white" fab icon="facebook-f" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm pin-ic">
                            <mdb-icon color="white" fab icon="pinterest-p" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm gplus-ic">
                            <mdb-icon color="white" fab icon="google-plus-g" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm tw-ic">
                            <mdb-icon color="white" fab icon="twitter" />
                          </a>
                    </li>
                  </ul>
                  <hr />
                </div>
                <mdb-navbar slot="nav" tag="div" position="top" color="teal" class="darken-4" dark :toggler="false"
                  :style="{ zIndex: '1061' }">
                  <mdb-navbar-nav left>
                    <mdb-icon icon="bars" class="white-text" size="lg" @click.native="show = !show" />
                  </mdb-navbar-nav>
                  <mdb-navbar-nav class="nav-flex-icons" right>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed icon="code-branch">
                      <span class="ml-1">v.1</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v2" waves-fixed icon="eye">
                      <span class="ml-1">v.2</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v3" waves-fixed icon="file-code" far>
                      <span class="ml-1">v.3</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v4" waves-fixed icon="terminal">
                      <span class="ml-1">v.4</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v5" waves-fixed icon="smile" far>
                      <span class="ml-1">v.5</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v6" waves-fixed icon="user" far active>
                      <span class="ml-1">v.6</span></mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar>
                <div style="height: 100vh" slot="main">
                  <div class="view intro-2">
                    <div class="full-bg-img">
                      <div class="mask rgba-white-strong flex-center">
                        <div class="container">
                          <div class="dark-grey-text ">
                            <h2 class="font-weight-bold">
                              Double navigation v.6
                            </h2>
                            <hr />
                            <h3>
                              <strong>Navbar:</strong> <u>Fixed</u>, positioned
                              over the Sidenav
                            </h3>
                            <h3>
                              <strong>Sidenav:</strong> <u>Side</u> (changing to
                              <u>Over</u> below 900px breakpoint)
                            </h3>
                            <mdb-btn rounded color="grey" class="mt-5">
                              <router-link to="/navigation" class="white-text">Go back to the navigation menu
                              </router-link>
                            </mdb-btn>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mdb-side-nav-2>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbSideNav2,
              mdbBtn,
              mdbIcon,
              mdbResize
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: false,
                  over: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              methods: {
                checkWidth() {
                  this.over = window.innerWidth < 900;
                }
              },
              directives: {
                mdbResize
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (52).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
  
            .navbar i {
              cursor: pointer;
              color: white;
            }
          </style>
          
        
    

Push View demo

This options pushes the content out of its way by adding negative margin's value.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div>
              <!--/.Navbar-->
              <mdb-side-nav-2 :value="true" :data="navigation" push slim :slim-collapsed="collapsed"
                @toggleSlim="collapsed = $event" sidenav-class="unique-color-dark" color="white">
                <div slot="header">
                  <div class="d-flex align-items-center my-4" :class="
                          collapsed ? 'justify-content-center' : 'justify-content-start'
                        ">
                    <mdb-avatar :width="40" style="flex: 0 0 auto">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-7.webp"
                        class="img-fluid rounded-circle z-depth-1" />
                    </mdb-avatar>
                    <p class="m-t mb-0 ml-4 p-0" style="flex: 0 2 auto" v-show="!collapsed">
                      <strong>John Smith
                        <mdb-icon color="success" icon="circle" class="ml-2" size="sm" /></strong>
                    </p>
                  </div>
                  <hr class="w-100" />
                </div>
                <div slot="content" class="mt-5 d-flex justify-content-center">
                  <mdb-btn tag="a" class="mx-0" size="sm" transparent floating
                    :icon="collapsed ? 'chevron-right' : 'chevron-left'" icon-class="white-text"
                    @click="collapsed = !collapsed"></mdb-btn>
                </div>
                <mdb-navbar slot="nav" tag="div" :toggler="false" position="top" dark color="unique-color-dark">
                  <mdb-navbar-nav class="nav-flex-icons" right>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed icon="code-branch">
                      <span class="ml-1">v.1</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v2" waves-fixed icon="eye">
                      <span class="ml-1">v.2</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v3" waves-fixed icon="file-code" far>
                      <span class="ml-1">v.3</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v4" waves-fixed icon="terminal">
                      <span class="ml-1">v.4</span></mdb-nav-item>
                    <mdb-nav-item active to="/navigation/pro/double-navigation-v5" waves-fixed icon="smile" far>
                      <span class="ml-1">v.5</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v6" waves-fixed icon="user" far>
                      <span class="ml-1">v.6</span></mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar>
                <div slot="main" style="height: 100vh">
                  <div class="view intro-2">
                    <div class="full-bg-img">
                      <div class="mask rgba-blue-grey-strong flex-center">
                        <div class="container">
                          <div class="white-text text-center">
                            <h2 class="font-weight-bold">
                              Double navigation v.5
                            </h2>
                            <hr />
                            <h3><strong>Navbar:</strong> <u>Fixed</u></h3>
                            <h3><strong>Sidenav:</strong> <u>Push</u></h3>
                            <mdb-btn rounded color="white" class="mt-5">
                              <router-link to="/navigation" class="dark-grey-text">Go back to the navigation menu
                              </router-link>
                            </mdb-btn>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mdb-side-nav-2>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbSideNav2,
              mdbAvatar,
              mdbBtn,
              mdbIcon
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbAvatar,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: true,
                  collapsed: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (55).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
  
            .navbar i {
              cursor: pointer;
              color: white;
            }
          </style>
          
        
    

Push with Side Nav on the right

The option push adds the negative margin to the content - and the negative left margin (which is set when the sidenav is on the right) in not scrollable. To address this issue, use @setOffset method and increment the page's width and left padding:

        
            
          <template>
            <div ref="layout">
              <mdb-side-nav-2 :data="[...]" right push @setOffset="setOffset">
              </mdb-side-nav-2>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbSideNav2
            } from 'mdbvue';
            export default {
              components: {
                mdbSideNav2
              },
              data() {
                return {
                  width: null
                }
              },
              mounted() {
                this.width = this.$refs.layout.getBoundingClientRect().width;
              },
              methods: {
                setOffset(value) {
                  if (!this.width) return;
                  this.$refs.layout.style.width = this.width + value + 'px';
                  this.$refs.layout.style.paddingLeft = value + 'px';
                }
              }
            }
          </script>
          
        
    

Over View demo

The simplest version - it opens over the content, by default covering it with a backdrop - you can remove it by setting the backdrop property to false

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div>
              <mdb-navbar position="top" :toggler="false" color="white">
                <mdb-navbar-nav left>
                  <mdb-icon icon="bars" class="dark-grey-text" size="2x" @click.native="show = !show" />
                </mdb-navbar-nav>
                <mdb-navbar-nav class="nav-flex-icons" right>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed active icon="code-branch">
                    <span class="ml-1">v.1</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v2" waves-fixed
                    icon="eye"><span class="ml-1">v.2</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v3" waves-fixed
                    icon="file-code" far><span class="ml-1">v.3</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v4" waves-fixed
                    icon="terminal"><span class="ml-1">v.4</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v5" waves-fixed
                    icon="smile" far><span class="ml-1">v.5</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v6" waves-fixed
                    icon="user" far><span class="ml-1">v.6</span></mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
              <!--/.Navbar-->
              <mdb-side-nav-2 v-model="show" over :data="navigation" color="success">
                <div slot="header">
                  <div class="p-5">
                    <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                  </div>
                  <hr />
                  <ul class="list-unstyled d-flex justify-content-center">
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm fb-ic">
                            <mdb-icon color="grey" fab icon="facebook-f" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm pin-ic">
                            <mdb-icon color="grey" fab icon="pinterest-p" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm gplus-ic">
                            <mdb-icon color="grey" fab icon="google-plus-g" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm tw-ic">
                            <mdb-icon color="grey" fab icon="twitter" />
                          </a>
                    </li>
                  </ul>
                  <hr />
                </div>
              </mdb-side-nav-2>
              <div style="height: 100vh;">
                <div class="view intro-2">
                  <div class="full-bg-img">
                    <div class="mask rgba-grey-strong flex-center">
                      <div class="container">
                        <div class="white-text text-center">
                          <h2 class="font-weight-bold">
                            Double navigation v.1
                          </h2>
                          <hr />
                          <h3><strong>Navbar:</strong> <u>Fixed</u></h3>
                          <h3><strong>Sidenav:</strong> <u>Over</u></h3>
                          <mdb-btn rounded color="white" class="mt-5">
                            <router-link to="/navigation" class="dark-grey-text">Go back to the navigation menu
                            </router-link>
                          </mdb-btn>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </template>
          
        
    
        
            
            <script>
              import {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              } from "mdbvue";
              export default {
                components: {
                  mdbNavbar,
                  mdbNavItem,
                  mdbNavbarNav,
                  mdbSideNav2,
                  mdbBtn,
                  mdbIcon
                },
                data() {
                  return {
                    show: false,
                    navigation: [{
                        name: "Double navigation",
                        icon: "bars",
                        children: [{
                            name: "Version 1",
                            to: "/navigation/pro/double-navigation-v1"
                          },
                          {
                            name: "Version 2",
                            to: "/navigation/pro/double-navigation-v2"
                          },
                          {
                            name: "Version 3",
                            to: "/navigation/pro/double-navigation-v3"
                          },
                          {
                            name: "Version 4",
                            to: "/navigation/pro/double-navigation-v4"
                          },
                          {
                            name: "Version 5",
                            to: "/navigation/pro/double-navigation-v5"
                          },
                          {
                            name: "Version 6",
                            to: "/navigation/pro/double-navigation-v6"
                          }
                        ]
                      },
                      {
                        name: "Getting started",
                        icon: "mdb",
                        fab: true,
                        children: [{
                            name: "Quick start",
                            href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                          },
                          {
                            name: "Technical Support",
                            href: "https://mdbootstrap.com/support/"
                          }
                        ]
                      },
                      {
                        name: "Documentation",
                        icon: "graduation-cap",
                        href: "https://mdbootstrap.com/docs/b4/vue/"
                      }
                    ]
                  };
                }
              };
            </script>
            
        
    
        
            
            <style scoped>
              .view {
                background: url("https://mdbootstrap.com/img/Photos/Others/img (52).webp") no-repeat center center;
                background-size: cover;
                height: 100%;
              }
  
              .navbar i {
                cursor: pointer;
                color: white;
              }
            </style>
            
        
    

Rendering content


Data structure

Pass to the data property an array of your links - each link should be represented as object. You can learn more about available options and grouping links into categories in the API tab.

        
            
          <script>
            const data = [{
                name: "Double navigation",
                icon: "bars",
                children: [{
                    name: "Version 1",
                    to: "/navigation/pro/double-navigation-v1"
                  },
                  {
                    name: "Version 2",
                    to: "/navigation/pro/double-navigation-v2"
                  },
                  {
                    name: "Version 3",
                    to: "/navigation/pro/double-navigation-v3"
                  },
                  {
                    name: "Version 4",
                    to: "/navigation/pro/double-navigation-v4"
                  },
                  {
                    name: "Version 5",
                    to: "/navigation/pro/double-navigation-v5"
                  },
                  {
                    name: "Version 6",
                    to: "/navigation/pro/double-navigation-v6"
                  }
                ]
              },
              {
                name: "Getting started",
                icon: "mdb",
                fab: true,
                children: [{
                    name: "Quick start",
                    href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                  },
                  {
                    name: "Technical Support",
                    href: "https://mdbootstrap.com/support/"
                  }
                ]
              },
              {
                name: "Documentation",
                icon: "graduation-cap",
                href: "https://mdbootstrap.com/docs/b4/vue/"
              }
            ];
          </script>
          
        
    

Headers

Use one of two custom slots to create a fully cutomized header for your side nav:

  • header - can be fixed on the top by setting :fixed-header="true"
  • content-header - allways scrollable
        
            
          <template>
            <mdb-side-nav-2 :data="[...]">
              <div slot="header">...</div>
              <div slot="content-header">...</div>
            </mdb-side-nav-2>
          </template>
          
        
    

Content slot

You can use slot="content" to render your content - you don't need to use the data structures at all if you prefer more customized navigation:

        
            
          <template>
            <mdb-side-nav-2 :data="[...]">
              <div slot="content">...</div>
            </mdb-side-nav-2>
          </template>
          
        
    

Examples

List of all the properties which you can use to customize your side nav can be found in the API tab.


Basic View demo (Basic example)

        
            
          <template>
            <mdb-side-nav-2 :data="navigation" v-model="show" over>
              <div slot="header" class="d-flex flex-column align-items-center mt-4">
                <img src="https://z9t4u9f6.stackpathcdn.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                  class="img-fluid mb-3" />
                <hr class="w-100" />
              </div>
            </mdb-side-nav-2>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbSideNav2
            } from "mdbvue";
            export default {
              components: {
                mdbSideNav2
              },
              data() {
                return {
                  show: false,
                  navigation: [{
                      name: "Home",
                      to: "/",
                      icon: "home"
                    },
                    {
                      name: "CSS",
                      to: "/css",
                      icon: "css3",
                      fab: true
                    },
                    {
                      name: "Components",
                      to: "/components",
                      icon: "cubes"
                    },
                    {
                      name: "Advanced",
                      to: "/advanced",
                      icon: "code"
                    },
                    {
                      name: "Navigation",
                      icon: "bars",
                      children: [{
                          name: "Footer",
                          to: "/navigation/pro/footer"
                        },
                        {
                          name: "Hamburger Menu",
                          to: "/navigation/pro/hamburger"
                        },
                        {
                          name: "Mega Menu",
                          to: "/navigation/pro/megamenu"
                        },
                        {
                          name: "Navbar",
                          to: "/navigation/pro/navbar"
                        },
                        {
                          name: "Sidenav",
                          to: "/navigation/pro/sidenav2"
                        }
                      ]
                    },
                    {
                      name: "Forms",
                      to: "/forms",
                      icon: "edit"
                    },
                    {
                      name: "Tables",
                      to: "/tables",
                      icon: "table"
                    },
                    {
                      name: "Modals",
                      to: "/modals",
                      icon: "window-restore"
                    },
                    {
                      name: "Plugins",
                      to: "/plugins",
                      icon: "plus-square"
                    },
                    {
                      name: "Sections",
                      to: "/sections",
                      icon: "th-large"
                    },
                    {
                      name: "Mixins",
                      to: "/mixins",
                      icon: "user-cog"
                    },
                    {
                      name: "Directives",
                      to: "/directives",
                      icon: "asterisk"
                    }
                  ]
                };
              }
            };
          </script>
          
        
    

Slim View demo (Slim)

The slim state can be controlled from outside by using slim-collapsed property and @toggleSlim event.

        
            
          <template>
            <mdb-side-nav-2 :data="navigation" v-model="show" over :slim-collapsed="slimCollapsed" expand-on-hover slim
              @toggleSlim="slimCollapsed = $event">
              <div slot="header">
                <div class="d-flex align-items-center my-4" :class="
                        slimCollapsed
                          ? 'justify-content-center'
                          : 'justify-content-start'
                      ">
                  <mdb-avatar :width="40" style="flex: 0 0 auto">
                    <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp"
                      class="img-fluid rounded-circle z-depth-1" />
                  </mdb-avatar>
                  <p class="m-t mb-0 ml-4 p-0" style="flex: 0 2 auto" v-show="!slimCollapsed">
                    <strong>Ann Smith
                      <mdb-icon color="success" icon="circle" class="ml-2" size="sm" /></strong>
                  </p>
                </div>
                <hr class="w-100" />
              </div>
            </mdb-side-nav-2>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbSideNav2,
              mdbIcon,
              mdbAvatar
            } from "mdbvue";
            export default {
              components: {
                mdbIcon,
                mdbAvatar,
                mdbSideNav2
              },
              data() {
                return {
                  show: false,
                  slimCollapsed: true,
                  navigation: [{
                      name: "Home",
                      to: "/",
                      icon: "home"
                    },
                    {
                      name: "CSS",
                      to: "/css",
                      icon: "css3",
                      fab: true
                    },
                    {
                      name: "Components",
                      to: "/components",
                      icon: "cubes"
                    },
                    {
                      name: "Advanced",
                      to: "/advanced",
                      icon: "code"
                    },
                    {
                      name: "Navigation",
                      icon: "bars",
                      children: [{
                          name: "Footer",
                          to: "/navigation/pro/footer"
                        },
                        {
                          name: "Hamburger Menu",
                          to: "/navigation/pro/hamburger"
                        },
                        {
                          name: "Mega Menu",
                          to: "/navigation/pro/megamenu"
                        },
                        {
                          name: "Navbar",
                          to: "/navigation/pro/navbar"
                        },
                        {
                          name: "Sidenav",
                          to: "/navigation/pro/sidenav2"
                        }
                      ]
                    },
                    {
                      name: "Forms",
                      to: "/forms",
                      icon: "edit"
                    },
                    {
                      name: "Tables",
                      to: "/tables",
                      icon: "table"
                    },
                    {
                      name: "Modals",
                      to: "/modals",
                      icon: "window-restore"
                    },
                    {
                      name: "Plugins",
                      to: "/plugins",
                      icon: "plus-square"
                    },
                    {
                      name: "Sections",
                      to: "/sections",
                      icon: "th-large"
                    },
                    {
                      name: "Mixins",
                      to: "/mixins",
                      icon: "user-cog"
                    },
                    {
                      name: "Directives",
                      to: "/directives",
                      icon: "asterisk"
                    }
                  ]
                };
              }
            };
          </script>
          
        
    

Group View demo (Group links)

Group your naviagtion into categories by adding the group property:

        
            
          <template>
            <mdb-side-nav-2 :data="groupsContent" v-model="show" over groups fixed-header color="secondary">
              <div slot="header" class="mt-3 grey-text">
                <mdb-avatar :width="48" class="ml-3">
                  <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp"
                    class="img-fluid rounded-circle z-depth-1" />
                </mdb-avatar>
                <h5 class="mt-4 ml-3"><strong>Ann Smith</strong></h5>
                <p class="ml-3">ann12345@mdbootstrap.com</p>
                <hr class="mb-0" />
              </div>
            </mdb-side-nav-2>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbSideNav2,
              mdbAvatar
            } from "mdbvue";
            export default {
              components: {
                mdbAvatar,
                mdbSideNav2
              },
              data() {
                return {
                  show: false,
                  groupsContent: [{
                      data: [{
                          name: "Inbox",
                          to: "/",
                          icon: "envelope"
                        },
                        {
                          name: "Outbox",
                          to: "/",
                          icon: "paper-plane"
                        },
                        {
                          name: "Favorites",
                          to: "/",
                          icon: "heart"
                        },
                        {
                          name: "Starred",
                          icon: "star"
                        }
                      ]
                    },
                    {
                      data: [{
                          name: "Recent",
                          to: "/",
                          icon: "clock"
                        },
                        {
                          name: "Uploads",
                          to: "/",
                          icon: "upload"
                        },
                        {
                          name: "Backups",
                          to: "/",
                          icon: "cloud-upload-alt"
                        },
                        {
                          name: "Trash",
                          icon: "trash"
                        }
                      ]
                    },
                    {
                      name: "Settings",
                      data: [{
                          name: "Account",
                          to: "/",
                          icon: "user"
                        },
                        {
                          name: "Privacy",
                          to: "/",
                          icon: "lock"
                        }
                      ]
                    },
                    {
                      data: [{
                        name: "Log out",
                        to: "/"
                      }]
                    }
                  ]
                };
              }
            };
          </script>
          
        
    


Custom content View demo (Custom slim with tooltips)

Create entirely custom side navigation, by placing your navigation inaide content slot instead of the default data object.

        
            
          <template>
            <mdb-side-nav-2 v-model="show" color="white" over :sidenav-class="['unique-color-dark', 'darken-4']"
              :slim-width="80" slim>
              <ul slot="content" class="custom-content list-unstyled mt-5 d-flex flex-column align-items-center">
                <li :class="{ active: i === active }" v-for="(item, i) in custom" :key="i">
                  <mdb-tooltip v-if="show6" append-to-body trigger="hover" :options="{
                          placement: 'right',
                          modifiers: {
                            preventOverflow: {
                              enabled: false
                            },
                            hide: {
                              enabled: false
                            },
                            offset: {
                              offset: '0,20'
                            }
                          }
                        }">
                    <mdb-btn slot="reference" @click="active = i"
                      :icon-class="active === i ? 'white-text fa-2x' : 'fa-2x'" flat :icon="item.icon"
                      class="px-3 py-4 m-0" />
                    <span slot="tip" class="p-2 my-2"
                          >{{ item.text }}</span></mdb-tooltip>
                </li>
              </ul>
            </mdb-side-nav-2>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbSideNav2,
              mdbBtn,
              mdbTooltip
            } from "mdbvue";
            export default {
              components: {
                mdbBtn,
                mdbTooltip,
                mdbSideNav2
              },
              data() {
                return {
                  show: false,
                  active: 0,
                  custom: [{
                      icon: "share-alt",
                      text: "Share"
                    },
                    {
                      icon: "heart",
                      text: "Favourites"
                    },
                    {
                      icon: "address-book",
                      text: "Contacts"
                    },
                    {
                      icon: "envelope",
                      text: "Send a message"
                    },
                    {
                      icon: "sliders-h",
                      text: "Settings"
                    }
                  ]
                };
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .custom-content {
              width: 100%;
            }
  
            .custom-content li {
              width: 100%;
            }
  
            .custom-content li button {
              transition: all 0.3s ease-in;
              width: 100%;
            }
  
            .custom-content li button:hover {
              background-color: rgba(255, 255, 255, 0.05);
            }
  
            .custom-content li button:focus {
              outline: none !important;
              background-color: rgba(255, 255, 255, 0.05);
            }
  
            .custom-content .active {
              background-color: rgba(255, 255, 255, 0.1);
            }
          </style>
          
        
    

Data from API View demo (Data from API)

        
            
          <template>
            <mdb-side-nav-2 v-model="show" color="white" over :sidenav-class="['special-color']" :data="content"
              @itemClick="selectItem">
              <div slot="header" class="mb-2  rgba-white-slight sidenav-content">
                <h4>Chat</h4>
              </div>
              <div slot="content" class="rgba-white-slight sidenav-content text-center">
                <div v-if="selected">
                  <p>Selected user:</p>
                  <p>
                    <strong><u>{{ selected }}</u></strong>
                    <mdb-icon class="ml-2" far icon="envelope" />
                  </p>
                  <p>({{ this.status.toLowerCase() }})</p>
                </div>
                <p v-else>User not selected</p>
              </div>
            </mdb-side-nav-2>
          </template>
          
        
    
        
            
          <script>
            import axios from "axios";
            import {
              mdbSideNav2,
              mdbIcon
            } from "mdbvue";
            export default {
              components: {
                mdbIcon,
                mdbSideNav2
              },
              data() {
                return {
                  show: false,
                  content: [{
                      name: "Online",
                      children: [],
                      icon: 'circle'
                    },
                    {
                      name: "Offline",
                      children: [],
                      icon: 'circle',
                      far: true
                    }
                  ],
                  selected: null,
                  status: ''
                };
              },
              mounted() {
                axios.get("https://jsonplaceholder.typicode.com/users").then(response => {
                  const [online, offline] = this.content;
                  response.data.forEach(user => {
                    const isActive = Math.random() < 0.5;
                    const group = isActive ? online : offline;
                    group.children.push({
                      name: user.name
                    })
                  });
                });
              },
              methods: {
                selectItem(category, item) {
                  if (!item) {
                    this.status = this.content[category].name;
                  } else {
                    this.selected = this.content[category].children[item].name;
                  }
                }
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .sidenav-content {
              padding: 20px;
              display: flex;
              justify-content: center;
              align-items: center;
              flex-direction: column;
              border-radius: 5px;
            }
          </style>
          
        
    

SideNav - API

In this section you will find advanced information about the SideNav component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Import statement

        
            
      <script>
        import {
          mdbSideNav2
        } from 'mdbvue';
      </script>
      
        
    

API Reference: Properties

Name Type Default Description Example
value Boolean false Opens / closes side navigation <mdb-side-nav-2 :value="true" ... />
data Array [] Renders the navigation links - see the required structure below <mdb-side-nav-2 :data="[{ ... }, { ... }]" />
over Boolean false Changes the sidenav position to over <mdb-side-nav-2 over ... />
push Boolean false Makes the sidenav push the content out of its way <mdb-side-nav-2 push ... />
right Boolean false Moves the side nav to the right <mdb-side-nav-2 right ... />
duration Number 300 Sets the duration of animations (in miliseconds) <mdb-side-nav-2 :duration="200" ... />
backdrop Boolean true Allows to add/remove a backdrop do the navigation with property over <mdb-side-nav-2 :backdrop="false" ... />
backdropClass String, Array "rgba-black-light" Allows to customize a backdrop <mdb-side-nav-2 backdrop-class="rgba-pink-strong" ... />
slim Boolean false Changes the side nav style to slim <mdb-side-nav-2 slim />
slimCollapsed Boolean true Determines if the slim sidenav is collapsed to the narrow state <mdb-side-nav-2 slim slim-collapsed="slimCollapsed" ... />
expandOnHover Boolean false Allows to expand a slim side nav to wide version on a mouseover event <mdb-side-nav-2 slim expand-on-hover ... />
slimWidth Number 60 Changes the width of the slim sidenav <mdb-side-nav-2 slim :slim-width="100" ... />
width Number 240 Changes the default width of the sidenav <mdb-side-nav-2 :width="360" ... />
fixedHeader Boolean false Allows to make the content of the header slot fixed on top <mdb-side-nav-2 fixed-header ... />
color String "primary" Changes the color of active items (see list of available colors below) <mdb-side-nav-2 color="success" ... />
sidenavClass String, Array [] Adds a custom class to the side navigation <mdb-side-nav-2 sidenav-class="danger-color" ... />
groups Boolean false Allows to render the content in groups <mdb-side-nav-2 groups :data="[]" ... />

API Reference: Data structure

The data property supports nesting links one level deep - if you need to create more complicated structures, use content slot instead.

        
            
        const data = [{
          name: String,
          to: String(use
            for router - links),
          href: String(use
            for simple anchor tags),
          icon: String,
          fab: Boolean,
          far: Boolean,
          fal: Boolean,
          fad: Boolean,
          children: [{
            name: String,
            to: String,
            href: String
          }]
        }]
      
        
    
        
            
        const data = [{
          name: String - group name,
          data: [{
            name: String,
            to: String(use
              for router - links),
            href: String(use
              for simple anchor tags),
            icon: String,
            fab: Boolean,
            far: Boolean,
            fal: Boolean,
            fad: Boolean,
            children: [{
              name: String,
              to: String,
              href: String
            }]
          }]
        }]
    
        
    

API Reference: Colors

  • primary
  • danger
  • warning
  • succsess
  • info
  • default
  • secondary
  • elegant
  • stylish
  • unique
  • special
  • white

API Reference: Methods

Name Parameters Description Example
@input value Emits the value and allows to use two way data binding <mdb-side-nav-2 v-model="show" />
@itemClick index of link / category, index of the child (if the event was emitted by it) Allows to call a method when the navigation's item is clicked <mdb-side-nav-2 @itemClick="handleItemClick" />
@toggleSlim Boolean (true - sidenav collapsed, false - expanded) Allows to control the slim sidenav behaviours from outside <mdb-side-nav-2 :slimCollapsed="value" @toggleSlim="value = $event" />
@setOffset Offset (Number in px) Allows to create customized behaviour and set additional offsets to the page's elements as the sidenav is being toggled <mdb-side-nav-2 @setOffset="setOffset" />

API Reference: Slots

Name Description
header <mdb-side-nav-2> <div slot="header">...</div> </mdb-side-nav-2>
content-header <mdb-side-nav-2> <div slot="content-header">...</div> </mdb-side-nav-2>
content <mdb-side-nav-2> <div slot="content">...</div> </mdb-side-nav-2>
nav <mdb-side-nav-2> <div slot="nav">...</div> </mdb-side-nav-2>
main <mdb-side-nav-2> <div slot="main">...</div> </mdb-side-nav-2>
footer <mdb-side-nav-2> <div slot="footer">...</div> </mdb-side-nav-2>

React Bootstrap Sidenav MDB Pro component

React Sidenav - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap sidenav is a vertical navigation component which apart from traditional, text links, might embed icons, dropdowns, avatars or search forms.

By virtue of its clarity and simplicity it remarkably increases User Experience. It allows you to navigate through small applications as well as vast portals swiftly. Multiple link embedding functionality enables you to implement more advanced content categorisation, which is almost essential within bigger projects.

Thanks to MDB you can easily implement SideNav in your own projects, by using one of various, alluring Side Menus.

Navigation on the left is a live demo of SideNav.


How it looks on a mobile device:



Basic usage

        
            
            import React from 'react';
            import { MDBIcon, MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBSideNavLink, MDBContainer, MDBRow, MDBBtn } from 'mdbreact';
            import { BrowserRouter as Router } from 'react-router-dom';
  
            class SideNavPage extends React.Component {
              state = {
                isOpen: false
              }
  
              handleToggle = () => {
                this.setState({
                  isOpen: !this.state.isOpen
                });
              };
  
              render() {
                const { isOpen } = this.state;
                return (
                  <Router>
                    <MDBContainer>
                      <MDBRow>
                        <MDBBtn onClick={this.handleToggle}><MDBIcon icon="bars" size="5x" /></MDBBtn>
                      </MDBRow>
                      <MDBSideNav
                        logo="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                        hidden
                        triggerOpening={isOpen}
                        breakWidth={1300}
                        className="deep-purple darken-4"
                      >
                        <li>
                          <ul className="social">
                            <li>
                              <a href="#!">
                                <MDBIcon fab icon="facebook-f" />
                              </a>
                            </li>
                            <li>
                              <a href="#!">
                                <MDBIcon fab icon="pinterest" />
                              </a>
                            </li>
                            <li>
                              <a href="#!">
                                <MDBIcon fab icon="google-plus-g" />
                              </a>
                            </li>
                            <li>
                              <a href="#!">
                                <MDBIcon fab icon="twitter" />
                              </a>
                            </li>
                          </ul>
                        </li>
                        <MDBSideNavNav>
                          <MDBSideNavCat
                            name="Submit blog"
                            id="submit-blog"
                            icon="chevron-right"
                          >
                            <MDBSideNavLink>Submit listing</MDBSideNavLink>
                            <MDBSideNavLink>Registration form</MDBSideNavLink>
                          </MDBSideNavCat>
                          <MDBSideNavCat
                            name="Instruction"
                            id="instruction"
                            iconRegular
                            icon="hand-pointer"
                            href="#"
                          >
                            <MDBSideNavLink>For bloggers</MDBSideNavLink>
                            <MDBSideNavLink>For authors</MDBSideNavLink>
                          </MDBSideNavCat>
                          <MDBSideNavCat name="About" id="about" icon="eye">
                            <MDBSideNavLink>Instruction</MDBSideNavLink>
                            <MDBSideNavLink>Monthly meetings</MDBSideNavLink>
                          </MDBSideNavCat>
                          <MDBSideNavCat name="Contact me" id="contact-me" iconRegular icon="envelope">
                            <MDBSideNavLink>FAQ</MDBSideNavLink>
                            <MDBSideNavLink>Write a message</MDBSideNavLink>
                          </MDBSideNavCat>
                        </MDBSideNavNav>
                      </MDBSideNav>
                    </MDBContainer>
                  </Router>
                );
              }
            }
  
            export default SideNavPage;
          
        
    

Slim side-nav

        
            
  
            import React, { Component } from "react";
            import { BrowserRouter as Router } from "react-router-dom";
            import { MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBSideNavLink, MDBContainer, MDBIcon, MDBBtn } from "mdbreact";
  
            class SideNavPage extends Component {
              state = {
                sideNavLeft: false,
              }
  
            sidenavToggle = sidenavId => () => {
              const sidenavNr = `sideNav${sidenavId}`
              this.setState({
                [sidenavNr]: !this.state[sidenavNr]
              });
            };
  
            render() {
                return (
                  <Router>
                    <MDBContainer>
                      <MDBBtn onClick={this.sidenavToggle("Left")}>
                        <MDBIcon size="lg" icon="bars" />
                      </MDBBtn>
                      <MDBSideNav slim fixed mask="rgba-blue-strong" triggerOpening={this.state.sideNavLeft} breakWidth={1300}
                        className="sn-bg-1">
                        <li>
                          <div className="logo-wrapper sn-ad-avatar-wrapper">
                            <a href="#!">
                              <img alt="" src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" className="rounded-circle" />
                              <span>Anna Deynah</span>
                            </a>
                          </div>
                        </li>
  
                        <MDBSideNavNav>
                          <MDBSideNavLink to="/other-page" topLevel>
                            <MDBIcon icon="pencil-alt" className="mr-2" />Submit listing</MDBSideNavLink>
                          <MDBSideNavCat name="Submit blog" id="submit-blog" icon="chevron-right">
                            <MDBSideNavLink>Submit listing</MDBSideNavLink>
                            <MDBSideNavLink>Registration form</MDBSideNavLink>
                          </MDBSideNavCat>
                          <MDBSideNavCat name="Instruction" id="instruction" icon="hand-pointer" href="#">
                            <MDBSideNavLink>For bloggers</MDBSideNavLink>
                            <MDBSideNavLink>For authors</MDBSideNavLink>
                          </MDBSideNavCat>
                          <MDBSideNavCat name="About" id="about" icon="eye">
                            <MDBSideNavLink>Instruction</MDBSideNavLink>
                            <MDBSideNavLink>Monthly meetings</MDBSideNavLink>
                          </MDBSideNavCat>
                          <MDBSideNavCat name="Contact me" id="contact-me" icon="envelope">
                            <MDBSideNavLink>FAQ</MDBSideNavLink>
                            <MDBSideNavLink>Write a message</MDBSideNavLink>
                          </MDBSideNavCat>
                        </MDBSideNavNav>
                      </MDBSideNav>
                    </MDBContainer>
                  </Router>
                );
              }
            }
  
            export default SideNavPage;
  
  
          
        
    

SideNav examples

Click on the images below to see live preview


React Sidenav - API

In this section you will find advanced information about the SideNav component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Imports

In order to use SideNav component make sure you have imported proper module first.

        
            
          import React from 'react';
          import {
            MDBSideNav,
            MDBSideNavNav,
            MDBSideNavCat,
            MDBSideNavLink
          } from 'mdbreact';
        
        
    

API Reference: SideNav Properties

The table below shows the configuration options of the MDBSideNav component.

Name Type Default Description Example
bg String Sets image from provided url as SideNav's background <MDBSideNav bg="your/image/url" />
slim Boolean false Makes the sidenav slim <MDBSideNav slim />
fixed Boolean false Makes the sidenav fixed and removes the transitions. <MDBSideNav fixed />
showOverlay Boolean true Decides whether or not the overlay should be rendered <MDBSideNav showOverlay={false} />
responsive Boolean true Adds a responsive behaviour to the fixed sidenav. It collapses fixed sidebar when the with is less than the width defined by breakWidth prop <MDBSideNav responsive={false} />
breakWidth Number 1400 The screen width under which the SideNav will be hidden by default <MDBSideNav breakWidth={900} />
className String Sets custom classes <MDBSideNav className="customClass" />
hidden Boolean false SideNav is fixed to the left screen edge by default, use hidden prop to hide component <MDBSideNav hidden />
href String # This url will be attached to SideNav logo <MDBSideNav href="https://someUrl.com" />
logo String Url to your logo <MDBSideNav logo="logo/url" />
mask String Adds mask on the SideNav background image, use combined with bg and skins, accepts ['slight', 'light', 'strong'] <MDBSideNav bg="your/image/url" mask="strong" />
right Boolean false Fixes SideNav to the right side of the screen <MDBSideNav right />
triggerOpening Boolean SideNav toggles accordingly to this property (openes/closes on change) <MDBSideNav triggerOpening={this.state.toggleSideNav} />
openNav false Render opened SideNav at page load <MDBSideNav openNav />
tag String div Changes default SideNav tag <MDBSideNav tag="div" />

API Reference: SideNav Methods

Name Parameters Description Example
onOverlayClick event Method which is called when SideNav overlay is clicked (SideNav closes <MDBSideNav onOverlayClick={this.sideNavCloseHandler} >

API Reference: SideNavNav Properties

The table below shows the configuration options of the MDBSideNavNav component.

Name Type Default Description Example
className String Sets custom classes <MDBSideNavNav className="customClass" />
tag String ul Changes default SideNavNav tag <MDBSideNavNav tag="ol" />
toggleNavLabel String Minimize menu Changes default SideNavNav toggle button text. <MDBSideNavNav toggleNavLabel="Hide menu" />

API Reference: SideNavCat Properties

The table below shows the configuration options of the MDBSideNavCat component.

Name Type Default Description Example
className String Sets custom classes <MDBSideNavCat className="customClass" />
disabled Boolean false Disables element from being clicked <MDBSideNavCat disabled />
icon String Adds font-awesome icon <MDBSideNavCat icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBSideNavCat icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBSideNavCat icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBSideNavCat icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBSideNavCat icon="twitter" iconRegular />
iconSize String Sets icon size <MDBSideNavCat icon="pencil-alt" size="5x" />
id String Sets element's id <MDBSideNavCat id="catOne" />
name String Sets inner text <MDBSideNavCat name="Example name" />
tag String li Changes default tag <MDBSideNavCat tag="li" />

Angular Bootstrap sidenav

Angular Sidenav - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap sidenav is a vertical navigation component which allow to navigate swiftly through small applications and vast portals.

By virtue of its clarity and simplicity it remarkably increases User Experience. Multiple link embedding functionality enables you to implement more advanced content categorisation, which is almost essential within bigger projects.

Thanks to MDB you can easily implement SideNav in your own projects, by using one of various, alluring Side Menus.

Navigation on the left is a live demo of SideNav.


How it looks on mobile device:

Sidenav mobile version

SideNav examples MDB Pro component

Click on the images below to see live preview


Basic usage MDB Pro component

        
            
            <!-- SideNav slide-out button -->
            <a (click)="sidenav.toggle()" mdbBtn color="primary" class="p-3 button-collapse"><mdb-icon fas icon="bars"></mdb-icon></a>
            <!--/. SideNav slide-out button -->

            <!-- Sidebar navigation -->
            <mdb-side-nav #sidenav class="fixed" [fixed]="true">
              <!-- Logo -->
              <li>
                <div class="logo-wrapper waves-light">
                  <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                </div>
              </li>
              <!--/. Logo -->
              <!--Social-->
              <li>
                <ul class="social">
                  <li><a class="icons-sm fb-ic"><mdb-icon fab icon="facebook-f"> </mdb-icon></a></li>
                  <li><a class="icons-sm pin-ic"><mdb-icon fab icon="pinterest"> </mdb-icon></a></li>
                  <li><a class="icons-sm gplus-ic"><mdb-icon fab icon="google-plus"> </mdb-icon></a></li>
                  <li><a class="icons-sm tw-ic"><mdb-icon fab icon="twitter"> </mdb-icon></a></li>
                </ul>
              </li>
              <!--/Social-->
              <!--Search Form-->
              <li>
                <form class="search-form" role="search">
                  <div class="form-group md-form waves-light" mdbWavesEffect>
                    <input type="text" class="form-control" placeholder="Search">
                  </div>
                </form>
              </li>
              <!--/.Search Form-->
              <!-- Side navigation links -->
              <li>
                <ul class="collapsible collapsible-accordion">
                  <mdb-accordion [multiple]="false" aria-multiselectable="false">

                    <!-- Collapsible link -->
                    <mdb-accordion-item>
                      <mdb-accordion-item-head mdbWavesEffect><mdb-icon fas icon="chevron-right"></mdb-icon> Collapsible menu
                      </mdb-accordion-item-head>
                      <mdb-accordion-item-body>
                        <ul>
                          <li><a href="#" mdbWavesEffect>Link 1</a></li>
                          <li><a href="#" mdbWavesEffect>Link 2</a></li>
                        </ul>
                      </mdb-accordion-item-body>
                    </mdb-accordion-item>

                    <!-- Simple link -->
                    <mdb-accordion-item class="no-collase">
                      <mdb-accordion-item-head mdbWavesEffect><mdb-icon far icon="hand-pointer"></mdb-icon> Simple link
                      </mdb-accordion-item-head>
                      <mdb-accordion-item-body></mdb-accordion-item-body>
                    </mdb-accordion-item>

                    <!-- Collapsible link -->
                    <mdb-accordion-item>
                      <mdb-accordion-item-head mdbWavesEffect><mdb-icon far icon="eye"></mdb-icon> Collapsible menu 2
                      </mdb-accordion-item-head>
                      <mdb-accordion-item-body>
                        <ul>
                          <li><a href="#" mdbWavesEffect>Link 1</a></li>
                          <li><a href="#" mdbWavesEffect>Link 2</a></li>
                        </ul>
                      </mdb-accordion-item-body>
                    </mdb-accordion-item>

                    <!-- Simple link -->
                    <mdb-accordion-item class="no-collase">
                      <mdb-accordion-item-head mdbWavesEffect><mdb-icon far icon="gem"></mdb-icon> Simple link 2</mdb-accordion-item-head>
                      <mdb-accordion-item-body></mdb-accordion-item-body>
                    </mdb-accordion-item>

                  </mdb-accordion>
                </ul>
              </li>
              <!--/. Side navigation links -->
              <div class="sidenav-bg mask-strong"></div>
            </mdb-side-nav>
            <!--/. Sidebar navigation -->
          
        
    

Fixed / non-fixed SideNav MDB Pro component

Use [fixed]="true" input and .fixed class to make the sidenav fixed. The component will open automatically on large screens and hide on smaller screens. The navigation you can see on the left is an example of fixed SideNav.

If you want to hide your SideNav by default just remove .fixed class and set [fixed] input to true.

        
            
              <mdb-side-nav #sidenav [fixed]="true">
                ...
              </mdb-side-nav>
            
        
    

Required padding-left when using .fixed class

If you are planning on using this you will have to offset your content by the width of the side menu. Place the padding on where the offset content will be, which in our case is in header, main and footer.

        
            
            header, main, footer {
              padding-left: 240px;
            }
        
            @media only screen and (max-width : 992px) {
              header, main, footer {
                padding-left: 0;
              }
            }
          
        
    

Note: Instead of adding required padding via CSS you can use one of our predefined Navigation Layouts




Show sidenav with swipe MDB Pro component

Use HammerJS to activate the Sidenav with swipe gesture on mobile.

Configure HammerJS like in our Mobile Docs, and then execute sidenav show() method to show it on swipe.

        
            
            <!--Double navigation-->
            <header>

              <!-- Sidebar navigation -->
              <mdb-side-nav #sidenav [fixed]="false">

                <mdb-navbar-brand>
                  <li>
                    <div class="logo-wrapper waves-light">
                      <a href="#">
                        <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center">
                      </a>
                    </div>
                  </li>
                  <!--/. Logo -->
                </mdb-navbar-brand>

                <links>
                  <!--Social-->
                  <li>
                    <ul class="social">
                      <li><a class="icons-sm fb-ic"><mdb-icon fab icon="facebook-f"> </mdb-icon></a></li>
                      <li><a class="icons-sm pin-ic"><mdb-icon fab icon="pinterest"> </mdb-icon></a></li>
                      <li><a class="icons-sm gplus-ic"><mdb-icon fab icon="google-plus"> </mdb-icon></a></li>
                      <li><a class="icons-sm tw-ic"><mdb-icon fab icon="twitter"> </mdb-icon></a></li>
                    </ul>
                  </li>
                  <!--/Social-->
                  <!--Search Form-->
                  <li>
                    <form class="search-form" role="search">
                      <div class="form-group md-form mt-0 pt-1 waves-light" mdbWavesEffect>
                        <input type="text" class="form-control" placeholder="Search">
                      </div>
                    </form>
                  </li>
                  <!--/.Search Form-->
                  <!-- Side navigation links -->
                  <li>
                    <ul class="collapsible collapsible-accordion">
                      <mdb-accordion [multiple]="false" aria-multiselectable="false">

                        <!-- Collapsible link -->
                        <mdb-accordion-item>
                          <mdb-accordion-item-head mdbWavesEffect>
                            <mdb-icon fas icon="chevron-right"></mdb-icon> Collapsible menu
                          </mdb-accordion-item-head>
                          <mdb-accordion-item-body>
                            <ul>
                              <li>
                                <a href="#" mdbWavesEffect>Link 1</a>
                              </li>
                              <li>
                                <a href="#" mdbWavesEffect>Link 2</a>
                              </li>
                            </ul>
                          </mdb-accordion-item-body>
                        </mdb-accordion-item>

                        <!-- Simple link -->
                        <mdb-accordion-item class="no-collase">
                          <mdb-accordion-item-head mdbWavesEffect>
                            <mdb-icon far icon="hand-pointer"></mdb-icon> Simple link
                          </mdb-accordion-item-head>
                          <mdb-accordion-item-body></mdb-accordion-item-body>
                        </mdb-accordion-item>

                        <!-- Collapsible link -->
                        <mdb-accordion-item>
                          <mdb-accordion-item-head mdbWavesEffect>
                            <mdb-icon far icon="eye"></mdb-icon> Collapsible menu 2
                          </mdb-accordion-item-head>
                          <mdb-accordion-item-body>
                            <ul>
                              <li>
                                <a href="#" mdbWavesEffect>Link 1</a>
                              </li>
                              <li>
                                <a href="#" mdbWavesEffect>Link 2</a>
                              </li>
                            </ul>
                          </mdb-accordion-item-body>
                        </mdb-accordion-item>

                        <!-- Simple link -->
                        <mdb-accordion-item class="no-collase">
                          <mdb-accordion-item-head mdbWavesEffect>
                            <mdb-icon far icon="gem"></mdb-icon> Simple link 2
                          </mdb-accordion-item-head>
                          <mdb-accordion-item-body></mdb-accordion-item-body>
                        </mdb-accordion-item>

                      </mdb-accordion>
                    </ul>
                  </li>
                  <!--/. Side navigation links -->
                </links>
                <div class="sidenav-bg mask-strong"></div>
              </mdb-side-nav>
              <!--/. Sidebar navigation -->

            </header>
            <!--/.Double navigation-->

            <!--Main Layout-->
            <main>
              <div class="container-fluid">
                <h1 class="h1-responsive text-center">Swipe here to activate the sidenav</h1>
              </div>
            </main>
            <!--/Main layout-->
          
        
    
        
            
            import { Component, ViewChild, HostListener } from '@angular/core';

            @Component({
              selector: 'sidenav',
              templateUrl: './sidenav.component.html',
              styleUrls: ['./sidenav.component.scss'],
            })
            export class SidenavComponent {
              @ViewChild('sidenav', { static: true }) public el: any;

              @HostListener('swiperight', ['$event']) public swipePrev(event: any) {
              this.el.show();
              }
            }
          
        
    

Customization MDB Pro component


Changing the mask

You can use more than 50 rgba colors from our Material Palette just by adding a proper color class.

In the example below we've added a .rgba-blue-strong color class

        
            
            <div class="sidenav-bg rgba-blue-strong"></div>
          
        
    

Changing the color

You can use each of 300 colors from our Material Palette just by adding a proper color class.

In the example below we've added a .purple color class and .darken-4 to make the color 4 levels darker.

        
            
            <!-- SideNav Menu -->
            <mdb-side-nav #sidenav class="purple darken-4">
              ...
            </mdb-side-nav>
          
        
    

Light /dark background

Depending on light or dark background you may need to set a proper contrast for links and other SideNav's elements.

Use .side-nav-light for light backgrounds.

        
            
            <mdb-side-nav #sidenav class="side-nav-light">
              ...
            </mdb-side-nav>
          
        
    

Gradient / images / masks

For gradients, images or masks use our predefined Skins


Slim sidenav MDB Pro component Slim SideNav

        
            
            <!-- Sidebar navigation -->
            <mdb-side-nav #sidenav class="wide sn-bg-1 fixed" [fixed]="true">

              <mdb-navbar-brand>
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper sn-ad-avatar-wrapper">
                    <a href="#"><img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                                    class="rounded-circle"><span>Anna Deynah</span></a>
                  </div>
                </li>
                <!--/. Logo -->
              </mdb-navbar-brand>

              <links>
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <mdb-accordion [multiple]="false" aria-multiselectable="false">

                      <!-- Collapsible link -->
                      <mdb-accordion-item>
                        <mdb-accordion-item-head mdbWavesEffect><mdb-icon fas icon="chevron-right"></mdb-icon> Collapsible menu
                        </mdb-accordion-item-head>
                        <mdb-accordion-item-body>
                          <ul>
                            <li><a href="#" mdbWavesEffect>Link 1</a></li>
                            <li><a href="#" mdbWavesEffect>Link 2</a></li>
                          </ul>
                        </mdb-accordion-item-body>
                      </mdb-accordion-item>

                      <!-- Simple link -->
                      <mdb-accordion-item class="no-collase">
                        <mdb-accordion-item-head mdbWavesEffect><mdb-icon far icon="hand-pointer"></mdb-icon> Simple link
                        </mdb-accordion-item-head>
                        <mdb-accordion-item-body></mdb-accordion-item-body>
                      </mdb-accordion-item>

                      <!-- Collapsible link -->
                      <mdb-accordion-item>
                        <mdb-accordion-item-head mdbWavesEffect><mdb-icon far icon="eye"></mdb-icon> Collapsible menu 2
                        </mdb-accordion-item-head>
                        <mdb-accordion-item-body>
                          <ul>
                            <li><a href="#" mdbWavesEffect>Link 1</a></li>
                            <li><a href="#" mdbWavesEffect>Link 2</a></li>
                          </ul>
                        </mdb-accordion-item-body>
                      </mdb-accordion-item>

                      <!-- Simple link -->
                      <mdb-accordion-item class="no-collase">
                        <mdb-accordion-item-head mdbWavesEffect><mdb-icon far icon="gem"></mdb-icon> Simple link 2</mdb-accordion-item-head>
                        <mdb-accordion-item-body></mdb-accordion-item-body>
                      </mdb-accordion-item>

                      <mdb-accordion-item class="no-collase">
                        <mdb-accordion-item-head mdbWavesEffect (click)="sidenav.toggleSlim()"><i
                          class="fas fa-angle-double-left"></i> Minimize
                        </mdb-accordion-item-head>
                        <mdb-accordion-item-body></mdb-accordion-item-body>
                      </mdb-accordion-item>

                    </mdb-accordion>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </links>
              <div class="sidenav-bg mask-strong"></div>
            </mdb-side-nav>
            <!--/. Sidebar navigation -->
          
        
    

Customize sidenav MDB Pro component

MDB provides you multiple useful, ready-to-use page layouts with various predefined navigation types.

Click buttons below to learn more:

Predefined layouts Predefined skins

Angular SideNav - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of sidenav component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

API Reference for MDB Angular Sidenav:
        
            
          import { SidenavModule, WavesModule, AccordionModule } from 'ng-uikit-pro-standard'
        
        
    

Components

MdbSidenav

Selector: mdb-side-nav

Type: SidenavComponent


Inputs

Name Type Default Description Example
fixed boolean true Specifies wheter sidenav has fixed position [fixed]="false"
side string 'left' Allow to change sidenav position [side]="'right'"
sidenavBreakpoint number 1440 Allow to change default sidenav breakpoint [sidenavBreakpoint]="1200"

Methods

Use @ViewChild decorator to get access to the sidenav methods in your component:

@ViewChild('sidenav', { static: true }) sidenav: SidenavComponent

Name Description Example
show() Open sidenav this.sidenav.show()
hide() Close sidenav this.sidenav.close()
toggle() Open or close sidenav this.sidenav.toggle()
toggleSlim() Toggle the sidenav state between slim and normal this.sidenav.toggleSlim()